XPolygonRegion(3) | Library Functions Manual | XPolygonRegion(3)

# NAME

XPolygonRegion, XClipBox - generate regions

# SYNTAX

Region XPolygonRegion(XPoint points[], int n, int fill_rule);

int XClipBox(Region r, XRectangle *rect_return);

# ARGUMENTS

fill_rule
  Specifies the fill-rule you want to set for the specified GC. You can pass EvenOddRule or WindingRule.
n
  Specifies the number of points in the polygon.
points
  Specifies an array of points.
r
  Specifies the region.
rect_return
  Returns the smallest enclosing rectangle.

# DESCRIPTION

The XPolygonRegion function returns a region for the polygon defined by the points array. For an explanation of fill_rule, see XCreateGC.

The XClipBox function returns the smallest rectangle enclosing the specified region.

# SEE ALSO

XCreateGC(3), XDrawPoint(3), XDrawRectangle(3)
Xlib - C Language X Interface

X Version 11 | XLIB FUNCTIONS